## org.apache.batik.bridge
Class SVGAElementBridge.CursorMouseOverListener

    java.lang.Object
      org.apache.batik.bridge.SVGAElementBridge.CursorMouseOverListener

All Implemented Interfaces:
  org.w3c.dom.events.EventListener

Enclosing class:
  SVGAElementBridge

public static class SVGAElementBridge.CursorMouseOverListener
extends java.lang.Object
implements org.w3c.dom.events.EventListener

To handle a mouseover on an anchor and set the cursor.

Field Summary
`protected UserAgent` `userAgent`

Constructor Summary
`SVGAElementBridge.CursorMouseOverListener(UserAgent ua)`

Method Summary
`void` `handleEvent(org.w3c.dom.events.Event evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userAgent

    protected UserAgent userAgent

Constructor Detail

### SVGAElementBridge.CursorMouseOverListener

    public SVGAElementBridge.CursorMouseOverListener(UserAgent ua)

Method Detail

### handleEvent

    public void handleEvent(org.w3c.dom.events.Event evt)

  Specified by:
    `handleEvent` in interface `org.w3c.dom.events.EventListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.